<?php

define( 'THEME_NAME', 'babailan' );
define( 'SITE_DIR', get_template_directory() );
define( 'SITE_URL', get_template_directory_uri() );

define( 'ATOM_DIR', SITE_DIR.'/lib/atom' );
define( 'ATOM_URL', SITE_URL.'/lib/atom' );

if ( ! isset( $content_width ) ) $content_width = 650;
if ( is_singular() ) wp_enqueue_script( "comment-reply" );

/*CORE*/
include(ATOM_DIR.'/front_func.php');
include(ATOM_DIR.'/back_func.php');

/*Inner Func*/
include(SITE_DIR.'/lib/scripts.php');

# GLOBAL FUNCTIONS THAT SHOULD BE IN functions.php
add_theme_support( 'automatic-feed-links' );

#= posted_in
function base_posted_in($lbl=TRUE, $tag=TRUE){ 
	$show_sep = false; 	
	/* translators: used between list items, there is a space after the comma */
	$categories_list = get_the_category_list( __( ', ', 'atom' ) );
	if ( $categories_list ): ?>
        <span class="cat-links">
            <?php 
			if($lbl){
				printf( __( '<span class="%1$s">Posted in</span> %2$s', 'atom' ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );
			}
			else{
				printf( __( '%2$s', 'atom' ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );
			}
            $show_sep = true; ?>
        </span>
    <?php endif; // End if categories ?>
    <?php
	if($tag) :
			/* translators: used between list items, there is a space after the comma */
		?>	
		<span class="sep"> | </span>
		<?php the_tags();
	endif; 
}

register_post_type('testimonials', array(
	'label' => __('Testimonails'),
	'singular_label' => __('Testimonials'),
	'public' => true,
	'show_ui' => true,
	'capability_type' => 'post',
	'hierarchical' => false,
	'menu_position' => 9,
	'rewrite' => true,
	'supports' => array('title','editor')
));
add_action('publish_custom_sidebar_area', 'on_side_gen_publish');

$swag = new WP_Query();
$swag->query('post_type=custom_sidebar_area');

while ($swag->have_posts()) : $swag->the_post();	
	register_sidebar( array(
		'name' => __( get_the_title(), 'atom' ),
		'id' => "sidebar-{$post->post_name}",
		'description' => __( 'A custom sidebar widget area created from Sidebar Generator', 'atom' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
endwhile;

add_action('get_header','babailan_include');
function babailan_include(){
	wp_enqueue_script( 'coinslider', SITE_URL.'/lib/coin-slider.js');
	wp_enqueue_style('coinslider',SITE_URL.'/lib/css/coin-slider.css');
}
function atom_pagination($pages = '', $range = 2, $label = ''){
	global $wp_query;
	$big = 999999999; // need an unlikely integer
	
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
		'format' => '?paged=%#%',
		'current' => max( 1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages
	) );
}
function patico_truncate($content, $limit, $more='&hellip;')
{
	if(strlen($content)<$limit)
	{
		$more="";
	}
	return substr_replace($content, '', $limit)."".$more;
}
function patico_get_the_content() 
{	
	ob_start();
	the_excerpt();
	$output = ob_get_contents();
	ob_end_clean();
	return $output;
}
function add_panel_option(){
	$pages = get_pages(); $allpage = array(); foreach ($pages as $page) { $allpage[$page->ID] = $page->post_title; }
	
	$arr2=array(
		'SEO Options'=>array(
			'Ads 468x60 Header Banner Code'=>array(
				'type'=>'textarea',
				'desc'=>'Paste your ads code here. This will be displayed at the header of every page.'
			),
			'Ads Below Post'=>array(
				'type'=>'textarea',
				'desc'=>'Paste your 468x60 ads code here. This will be displayed at the bottom of every single posts.'
			)
		)
	);
	return $arr2;
}
function remove_panel_option(){
	$arr[0] = array('Layout Settings'=>'Featured Slider Type');
	$arr[1] = array('Layout Settings'=>'Featured Static Content (only if type is Use Static)');
	$arr[2] = array('Layout Settings'=>'Blurb 4');
	$arr[3] = array('SEO Options'=>'Ads 468x60 Banner Code');
	return $arr;
}
function post_meta_date(){
	global $post;
	?>
        	<span class="M"><?php echo esc_attr( get_the_date('M') ) ?></span>
            <span class="j"><?php echo esc_attr( get_the_date('j') ) ?>,</span>
            <span class="y"><?php echo esc_attr( get_the_date('Y') ) ?></span>
    <?php
}
?>