<?php

define("ATOM_ADMIN_URL",get_bloginfo('url')."/wp-content/themes/atom/admin");
define("ATOM_IMAGES_URL",get_bloginfo('url')."/wp-content/themes/atom/images");

#Load Plugins
include(ATOM_DIR. '/plugins/ads125x125.php');

function slug($str){
	return str_replace(' ','_',strtolower($str));
}

#base_setup
add_action( 'after_setup_theme', 'base_setup' );
function base_setup(){
	register_nav_menu( 'primary', __( 'Primary Menu', 'atom' ) );
	add_theme_support( 'post-thumbnails', array( 'post', 'page' ) );	
	add_post_type_support('page', 'excerpt');
	
}



/*********** Theme Panel */
function theme_panel(){
	add_theme_page('Theme Settings', 'Theme Settings', 'manage_options', 'atom_options', 'theme_panel_init');	
}
function theme_panel_init(){
	if (!current_user_can('manage_options'))
		wp_die( __('You do not have sufficient permissions to access this page.') );
	include("admin/atomindex.php");
}
add_action('admin_menu', 'theme_panel');

/********** Panel Skeleton */
function panel_skeleton($arr2=array(),$rem_arr=''){
	$pages = get_pages(); $allpage = array(); foreach ($pages as $page) { $allpage[$page->ID] = $page->post_title; }
	$categories = get_categories('hide_empty=0'); $allcategory = array(); foreach ($categories as $category) {$allcategory[$category->cat_ID] = $category->cat_name;}
	$arr = array(
		'General Settings'=>array(
			'Logo URL'=>array(
				'type'=>'text',
				'desc'=>'Paste the URL of your logo here.'
			),
			'Site Title Type'=>array(				
				'type'=>'select',
				'opt'=>array('Custom Logo','Title Text'),				
				'desc'=>'Choose between Site Title or choose custom logo and upload your site logo as your site branding.'
			),
			'Display Author Below Posts'=>array(				
				'type'=>'select',
				'opt'=>array('Yes'=>'yes','No'=>'no'),				
				'desc'=>'Select yes if you want to display the author information below the post article.'
			)
		),
		'SEO Options'=>array(
			'Ads 468x60 Banner Code'=>array(
				'type'=>'textarea',
				'desc'=>'Paste your ads code here.'
			)
		),
		'Layout Settings'=>array(
			'Featured Slider Type'=>array(
				'type'=>'select',
				'opt'=>array('Use Slider','Use Static'),
				'desc'=>'Choose what type you want your featured content be.'
			),
			'Featured Post Category'=>array(
				'type'=>'select',
				'opt'=>$allcategory,
				'desc'=>'Choose what category to use to populate the featured content.'
			),
			'Featured Static Content (only if type is Use Static)'=>array(
				'type'=>'textarea',
				'desc'=>'Note: Skip this if you choose not "Use Static".'
			),
			'Blurb 1'=>array(
				'type'=>'select_index',	
				'opt'=>$allpage,			
				'desc'=>'Choose w/c page should be the first blurb.'				
			),
			'Blurb 2'=>array(
				'type'=>'select_index',	
				'opt'=>$allpage,			
				'desc'=>'Choose w/c page should be the second blurb.'				
			),
			'Blurb 3'=>array(
				'type'=>'select_index',	
				'opt'=>$allpage,			
				'desc'=>'Choose w/c page should be the third blurb.'				
			),
			'Blurb 4'=>array(
				'type'=>'select_index',	
				'opt'=>$allpage,			
				'desc'=>'Choose w/c page should be the fourth blurb.'				
			)
		),
		'Integration'=>array(
			'Header Code'=>array(
				'type'=>'textarea',
				'desc'=>'Anything you put here will be added to every page of this theme. This is usefull for inserting scripts or styles at the header section.'
			),
			'Activate Header Code'=>array(
				'type'=>'select',
				'opt'=>array('No'=>'no','Yes'=>'yes')
			),
			'Footer Code'=>array(
				'type'=>'textarea',
				'desc'=>'Anything you put here will be added to every page of this theme. This is usefull for inserting scripts or styles at the footer section.'
			),
			'Activate Footer Code'=>array(
				'type'=>'select',
				'opt'=>array('No'=>'no','Yes'=>'yes')
			)
		),
		'Documentation'=>array(
			'Requirements'=>array(
				'type'=>'docs',
				'content'=>
				"- Wordpress 3.3.1+ <br />
				 - Host server with PHP5+"				
			),
			'Installation and Setting-Up'=>array(
				'type'=>'docs',
				'content'=>
				"<ol> <li> Upload the 'atom' and '".THEME_NAME."' in your wp-content/themes/ directory </li>
				 <li> Go to your admin dashboard and Mangyan (leave the 'atom'). Atom is a framework used by ".strtoupper(THEME_NAME)." created by ThemeTribe. Atom is built specially for ThemeTribe themes. </li>"				 							 
			),
			'Cusomizing '.strtoupper(THEME_NAME)=>array(
				'type'=>'docs',
				'content'=>
				"- Go to Theme Settings <br />
				<ol> <li>General Settings</li>
				<li>SEO Options</li>
				<li>Layout Settings</li>
				<li>Integration</li></ol>
				- Hit Save"				 							 
			),
			'Adding Thumbnail and Image in Featured Area '=>array(
				'type'=>'docs',
				'content'=>
				"<ul><li>While in posting area, click the SET FEATURED IMAGE button at right part of posting area.</li>
				<li>Upload an image or select an image from the gallery if you have one already.</li>
				<li>click USE AS FEATURED IMAGE after uploading is complete.</li></ul>"				 							 
			),
			'SUPPORT'=>array(
				'type'=>'docs',
				'content'=>
				"If you are still confused or encountered difficulties regarding to the installation of this theme, feel free to post your question at our support page. (<a href='http://themetribe.com/support' target='_blank'>http://themetribe.com/support</a>)"				 							 
			),
		)
	);
	foreach($arr2 as $key=>$val){
		if(array_key_exists($key,$arr)) {
			$arr[$key]+=$arr2[$key];
		}
	}
	if($rem_arr!=''){
		foreach($rem_arr as $key=>$val){
			foreach($val as $k=>$v){
				if(array_key_exists($k,$arr)){				
					unset($arr[$k][$v]);
				}
			}			
		}
	}
	return $arr;
}
function header_code(){
	if(get_atom_option("activate_header_code")=="yes"){
		echo get_atom_option("header_code");
	}
}
function footer_code(){
	if(get_atom_option("activate_footer_code")=="yes"){
		echo get_atom_option("footer_code");
	}
}
add_action('wp_head','header_code');
add_action('wp_footer','footer_code');

function atom_string($str){
	return str_replace('\"','',urldecode($str));
}
function input_type($k, $v){
	$value = get_settings_value();
	switch($v['type']){
		case 'text': ?>
        	<input type="text" name="<?php echo slug($k) ?>" value="<?php echo atom_string($value[slug($k)]) ?>" />
			<?php break;
		case 'textarea': ?>
        	<textarea name="<?php echo slug($k) ?>" rows="5" cols="100"><?php echo atom_string($value[slug($k)]) ?></textarea>
        	<?php break;
		case 'file': ?>
        	<input type="file" name="<?php echo slug($k) ?>" value="<?php echo atom_string($value[slug($k)]) ?>" />
            <em><strong><?php echo atom_string($value[slug($k)]) ?></strong></em>
	        <?php break;
		case 'select': ?>
        	<select name="<?php echo slug($k) ?>" >
                <?php
				foreach($v['opt'] as $key=>$val){
				echo "<option value='".slug($val)."' ";
				if($value[slug($k)]==slug($val)) echo "selected ";
				echo ">$val</option>";
				}
				?>
            </select>
        	<?php break; 
		case 'select_index': ?>
			<select name="<?php echo slug($k) ?>" >
                <?php
				foreach($v['opt'] as $key=>$val){
				echo "<option value='".$key."' ";
				if($value[slug($k)]==$key) echo "selected ";
				echo ">$val</option>";
				}
				?>
            </select>
			<?php break;
		case 'docs': 
			echo $v['content'];
			break;
	}
}
function get_settings_value(){
	return get_option('atom_settings');
}
function save_settings(){
	unset($_POST['submit']);
	foreach($_POST as $key=>$val){
		$_POST[$key] = urlencode($val);
	}
	update_option("atom_settings",$_POST);
	echo "<p>Configuration Saved!</p>";
}

?>