<?php
#labtitles

function labtitles(){
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );
}
function breadcrumbs(){ ?>
	<div id="breadcrumbs">
      <a href="<?php bloginfo('url'); ?>"><?php _e('Home','atom') ?></a> <span class="raquo">&raquo;</span>      
      <?php if( is_tag() ) { ?>
          <?php _e('Posts Tagged ','atom') ?><span class="raquo">&quot;</span><?php single_tag_title(); echo('&quot;'); ?>
      <?php } elseif (is_day()) { ?>
          <?php _e('Posts made in','atom') ?> <?php the_time('F jS, Y'); ?>
      <?php } elseif (is_month()) { ?>
          <?php _e('Posts made in','atom') ?> <?php the_time('F, Y'); ?>
      <?php } elseif (is_year()) { ?>
          <?php _e('Posts made in','atom') ?> <?php the_time('Y'); ?>
      <?php } elseif (is_search()) { ?>
          <?php _e('Search results for','atom') ?> <?php the_search_query() ?>
      <?php } elseif (is_single()) { ?>
          <?php $category = get_the_category();
                $catlink = get_category_link( $category[0]->cat_ID );
                echo ('<a href="'.$catlink.'">'.$category[0]->cat_name.'</a> '.'<span class="raquo">&raquo;</span> '.get_the_title()); ?>
      <?php } elseif (is_category()) { ?>
          <?php single_cat_title(); ?>
      <?php } elseif (is_author()) { ?>
          <?php _e('Posts by ','atom'); echo ' ',$curauth->nickname; ?>
      <?php } elseif (is_page()) { ?>
          <?php wp_title(''); ?>
      <?php }; ?>
    </div> <!-- end #breadcrumbs -->
    <?php 
}
function get_featured_image($post_id,$size='full',$ttatr='h=150&w=150&zc=1',$display=TRUE, $strattr=''){
	$img = wp_get_attachment_image_src(get_post_thumbnail_id($post_id),$size);
	if($display==TRUE){
		if($size!='full'){
			echo "<img src='".$img[0]."' alt='".get_the_title()."' title='".get_the_title()."' style='$strattr'>";	
		}
		else{
			the_post_thumbnail();
		}
	}
	else{
		return $img[0];
	}
}
#jsinclude
add_action('get_header','jsinclude');
function jsinclude(){
	wp_enqueue_script("jquery"); 
	wp_enqueue_script( 'hoverIntent', ATOM_URL.'/js/hoverIntent.js');
	wp_enqueue_script( 'superfish', ATOM_URL.'/js/superfish.js');
	wp_enqueue_script( 'supersubs', ATOM_URL.'/js/supersubs.js');
	wp_enqueue_script( 'easing', ATOM_URL.'/js/easing.js');
	wp_enqueue_script( 'cycle', ATOM_URL.'/js/cycle.js');
}
#posted_on
function base_posted_on() {
	printf( __( '<a title="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s" pubdate>%3$s</time></a>', 'atom' ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() )		
	);
}
#posted_by
function base_posted_by() {
	printf( __( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span>', 'atom' ),
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		sprintf( esc_attr__( 'View all posts by %s', 'atom' ), get_the_author() ),
		esc_html( get_the_author() )
	);
}

#get_atom_option
function get_atom_option($option,$default=''){
	$arr=get_option("atom_settings");
	
	if(!isset($arr[$option])){
		return $default;
	}
	else{
		return atom_string($arr[$option]);		
	}
}

# Create DropCaps
function dropcaps($str){
	$pre = substr(strip_tags($str), 0,1);
	
	
	# get the first html tag
	preg_match('#(<div>|<p>)#',$str,$matches);
	preg_match("#$pre#",$matches[0],$matches2);
	$pos = (count($matches2)>0) ? 2 : 1;
	$str = preg_replace("#$pre#",'',$str,$pos);
	
	echo "<span class='dropcap'>".$pre."</span>".$str;
}

#Post Format
function atom_get_the_content() {	
	ob_start();
	the_excerpt();
	$output = ob_get_contents();
	ob_end_clean();
	return $output;
}
function atom_post_navi( $id = 'post-navi', $prev_pretext = '&larr;', $next_pretext = '&rarr;'){ ?>
	<div id="<?php echo $id; ?>" class="clearfix">
		<div class="nav-prev"><?php previous_post_link( '%link', '<span class="meta-nav">' . $prev_pretext . '</span> %title' ); ?></div>
		<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . $next_pretext . '</span>' ); ?></div>
		<div class="clear"></div>
	</div><!-- #<?php echo $id; ?> -->
<?php
}

function atom_truncate($content, $limit, $more='&hellip;'){
	if(strlen($content)<$limit){$more="";}
	return substr_replace($content, '', $limit)."".$more;
}

# Comments
function atom_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'twentyeleven' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment clearfix">
			<footer class="comment-meta">
				<div class="comment-author vcard">
                	<span class="frame"></span>
					<?php
						$avatar_size = 83;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 83;

						echo get_avatar( $comment, $avatar_size );

						/* translators: 1: comment author, 2: date and time */
						printf( __( '%1$s <span class="comment-date">%2$s</span> ', 'atom' ),
							sprintf( '<span class="fn">%s</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s"><time pubdate datetime="%2$s">%3$s</time></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								/* translators: 1: date, 2: time */
								sprintf( __( '%1$s at %2$s', 'atom' ), get_comment_date(), get_comment_time() )
							)
						);
					?>

					<?php edit_comment_link( __( 'Edit | ', 'atom' ), '<span class="edit-link">', '</span>' ); ?>
                    <div class="comment-content"><?php comment_text(); ?></div>

                    <div class="reply">
                        <?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply <span>&darr;</span>', 'atom' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                    </div><!-- .reply -->
				</div><!-- .comment-author .vcard -->
				
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'atom' ); ?></em>
					<br />
				<?php endif; ?>

			</footer>
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}

/* SHORTCODE */
function atom_one_half($atts, $content = NULL){return '<div class="one_half">'.do_shortcode($content).'</div>';}
function atom_one_half_last($atts, $content = NULL){return '<div class="one_half last">'.do_shortcode($content).'</div><div class="clear"></div>';}
function atom_one_third($atts, $content = NULL){return '<div class="one_third">'.do_shortcode($content).'</div>';}
function atom_one_third_last($atts, $content = NULL){return '<div class="one_third last">'.do_shortcode($content).'</div>';}
function atom_one_fourth($atts, $content = NULL){return '<div class="one_fourth">'.do_shortcode($content).'</div>';}
function atom_one_fourth_last($atts, $content = NULL){return '<div class="one_fourth last">'.do_shortcode($content).'</div><div class="clear"></div>';}
function atom_two_third($atts, $content = NULL){return '<div class="two_third">'.do_shortcode($content).'</div>';}
function atom_two_third_last($atts, $content = NULL){return '<div class="two_third last">'.do_shortcode($content).'</div><div class="clear"></div>';}

add_shortcode('one_half','atom_one_half');
add_shortcode('one_half_last','atom_one_half_last');
add_shortcode('one_third','atom_one_third');
add_shortcode('one_third_last','atom_one_third_last');
add_shortcode('one_fourth','atom_one_fourth');
add_shortcode('one_fourth_last','atom_one_fourth_last');
add_shortcode('two_third','atom_two_third');
add_shortcode('two_third_last','atom_two_third_last');

/* SIDEBAR */
register_sidebar( array(
	'name' => __( 'Sidebar', 'atom' ),
	'id' => 'sidebar-footer-widget-area',
	'description' => __( 'The sidebar widget area', 'atom' ),
	'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'First Footer Widget Area', 'atom' ),
	'id' => 'first-footer-widget-area',
	'description' => __( 'The first footer widget area', 'atom' ),
	'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'Second Footer Widget Area', 'atom' ),
	'id' => 'second-footer-widget-area',
	'description' => __( 'The second footer widget area', 'atom' ),
	'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'Third Footer Widget Area', 'atom' ),
	'id' => 'third-footer-widget-area',
	'description' => __( 'The third footer widget area', 'atom' ),
	'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'Fourth Footer Widget Area', 'atom' ),
	'id' => 'fourth-footer-widget-area',
	'description' => __( 'The fourth footer widget area', 'atom' ),
	'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
	'after_widget' => '</li>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

# MENU WALKER
class description_walker extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth, $args) {
		 global $wp_query;
		 $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';	
		 $class_names = $value = '';	
		 $classes = empty( $item->classes ) ? array() : (array) $item->classes;	
		 $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		 $class_names = ' class="'. esc_attr( $class_names ) . '"';	
		 $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';	
		 $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		 $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		 $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		 $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
	
		 $prepend = '<strong>';
		 $append = '</strong>';
		 $description  = ! empty( $item->description ) ? '<span>'.esc_attr( $item->description ).'</span>' : '';
	
		 if($depth != 0) {
				   $description = $append = $prepend = "";
		 }
	
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
		$item_output .= $description.$args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;
  
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
}
?>